import { packageCode } from './package/package';
import { setConfig, setCredentials } from './awsCredentials';
import { getDirectories, getFile, getJsFile, getJsFileFromProject, getProjectPath, makeDir, makeDirForProject, copyDirectory, copyFile, writeFile } from './filesystem';
import { writeToTerminal, clearTerminal } from './terminal';
declare const _default: {
    credentials: {
        setConfig: typeof setConfig;
        setCredentials: typeof setCredentials;
    };
    fileSystem: {
        packageCode: typeof packageCode;
        getDirectories: typeof getDirectories;
        getFile: typeof getFile;
        getJsFile: typeof getJsFile;
        getJsFileFromProject: typeof getJsFileFromProject;
        getProjectPath: typeof getProjectPath;
        makeDir: typeof makeDir;
        makeDirForProject: typeof makeDirForProject;
        copyDirectory: typeof copyDirectory;
        copyFile: typeof copyFile;
        writeFile: typeof writeFile;
    };
    terminal: {
        writeToTerminal: typeof writeToTerminal;
        clearTerminal: typeof clearTerminal;
    };
};
export default _default;
