"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var package_1 = require("./package/package");
var awsCredentials_1 = require("./awsCredentials");
var filesystem_1 = require("./filesystem");
var terminal_1 = require("./terminal");
exports.default = {
    credentials: {
        setConfig: awsCredentials_1.setConfig,
        setCredentials: awsCredentials_1.setCredentials
    },
    fileSystem: {
        packageCode: package_1.packageCode,
        getDirectories: filesystem_1.getDirectories,
        getFile: filesystem_1.getFile,
        getJsFile: filesystem_1.getJsFile,
        getJsFileFromProject: filesystem_1.getJsFileFromProject,
        getProjectPath: filesystem_1.getProjectPath,
        makeDir: filesystem_1.makeDir,
        makeDirForProject: filesystem_1.makeDirForProject,
        copyDirectory: filesystem_1.copyDirectory,
        copyFile: filesystem_1.copyFile,
        writeFile: filesystem_1.writeFile
    },
    terminal: {
        writeToTerminal: terminal_1.writeToTerminal,
        clearTerminal: terminal_1.clearTerminal
    }
};
