"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.packageCode = void 0;
var fs_1 = __importDefault(require("fs"));
var archiver = require('archiver');
var COMPRESSION_LEVEL = 9;
function packageCode(_a) {
    var location = _a.location, target = _a.target, name = _a.name;
    if (!fs_1.default.existsSync(target)) {
        fs_1.default.mkdirSync(target);
    }
    if (target[target.length - 1] !== '/') {
        target = target + '/';
    }
    var archive = archiver('zip', { zlib: { level: COMPRESSION_LEVEL } });
    var stream = fs_1.default.createWriteStream(target + name + '.zip');
    return new Promise(function (resolve, reject) {
        archive
            .directory(location, false)
            .on('error', function (err) { return reject(err); })
            .pipe(stream);
        stream.on('close', function () { return resolve(); });
        archive.finalize();
    });
}
exports.packageCode = packageCode;
